c  Program uses numerical recipes code to compute periodogram of
c    time series data
c
c  probably need to remove a trend....
      character*80 filename
      dimension time(10000000),d(10000000),freq(100000000),
     &  pdg(100000000)
      double precision fjul, time
c     &,d
      nmax=50000000
      nwk=50000000
c      nmax=1000000
c      nwk=1000000
      print*,' Input the name of file with time series;'
      print*,'  format of data is year, julian day, observation'
      read(5,100)filename
100   format(a80)
      open(1,file=filename)
      n=0
1     continue
        read(1,*,end=2)yr,fjul,obs
        call jul2day(int(yr+0.5),int(fjul+0.5),iday)
        n=n+1
        if (n .gt. nmax) then
          print*,' Number of observations, ',n,
     &     ' exceeds dimension ',nmax
        end if
        time(n)=float(iday)+fjul-float(int(fjul+0.5))
        d(n)=obs
        go to 1
2     continue
      print*,' number of data read is ',n
      print*,' time span of observations in days',time(n)-time(1)
      print*,' Input oversampling factor, should be 4 or more'
      read(5,*)ofac
      print*,' Input the high frequency factor'
      read(5,*)hifac
c
c  compute periodgram
      call fasper(time,d,n,ofac,hifac,freq,pdg,nwk,nout,jmax,prob)
      open(2,file="period.dat")
      do 10 i=1,nout
      write(2,*)freq(i),1/freq(i),pdg(i)
10    continue
      close (2)
      close(1)
      print*,' Periodogram in period.dat' 
      print*,'  freq (c/day), period (days), amplitude'
      print*,' peak period at element ',jmax, ' with freq ',
     &    freq(jmax),' period is ',1/freq(jmax),' amplitude= ',
     &    pdg(jmax),' and confidence level', prob
      stop
      end
