      integer yr, jul
      dimension d(35000000),dout(35000000)
      double precision fjul,day, dayarray(35000000),day0,ddt,deltat,
     & dtDay,frac
      character*40 infile, outfile
      character*5 forcode
      max=35000000
      fmiss=999999.
      print*,' Name of the input file which is formated jl'
      read(5,100)infile
100   format(a40)
      open(1,file=infile)
      print*,' Name of the output file'
      read(5,100)outfile
      open(2,file=outfile)
      print*,' Input the format code, wr/bot'
      read(5,101)forcode
101   format(a5)
      i=1
      deltat=99999.
1     continue
        if (i .gt. max) then
           print*,' number of data read', i,' exceeds dimension', max
           print*,' bailing'
           stop
        end if
        read(1,*,end=10)fyr,fjul,d(i),x
        call jul2day(int(fyr),int(fjul),iday)
 
        day=float(iday)+fjul-int(fjul)

        if (i .eq. 1) day0=day
        dayarray(i)=day
        if (i .gt. 1) then
          dt=dayarray(i)-dayarray(i-1)
          if (dt .lt. deltat) deltat=dt
        end if
c        if (dt .lt. 0.0 ) then
c          print*,' dt less than zero',dt
c          print*,' failing at observation ',i
c          print*,' time is',fyr,fjul,day
c       end if
        i=i+1
        go to 1
10    continue
      npts=i-1
      print*,' number of data read is', npts
      print*,' smallest sampling interval is ',deltat,' days'
      if ( deltat .gt. 1.0d+0 ) then
        print*,'  force sampling interval to be one day'
        deltat=1.0d+0
      end if
c      if ( deltat .ge. 1.0d+0) then 
c         deltat=float(int(deltat+0.2))
c         ddt=1.0*deltat
c      end if
c      print*,' hour', deltat,1.0d+0 - 1.0/(2.0*(24.*60.))
c      if ( deltat .lt. 1.0d+0 - 1.0/(2.0*(24.*60.))) 
c     &      deltat=(24.0d+0)*deltat
c      if ( deltat .ge. 1.0d+0) then
c         deltat=float(int(deltat+0.2))
c         ddt=deltat/24.0d+0
c      end if
c      print*,' smallest sampling interval is ',deltat,' hours'
c      print*,' min', deltat,  1.0d+0 - 1.0/(2.*60.)
c      if (deltat .lt. 1.0d+0 - 1.0/(2.*60.)) deltat=(60.0d+0)*deltat
c      print*,' new deltat', deltat
c      if (deltat .gt. 1.0d+0 + 1.0/(2.*60.)) then
c         deltat=float(int(deltat+0.2))
c         ddt=deltat/(60.0D+0*24.D+0)
c      end if

c convert to seconds
      deltat=(60.0d+0)*(60.0d+0)*(24.0d+0)*deltat

      deltat=float(int(deltat+.3))
      ddt=deltat
      dtDay=ddt/(24.d+0*3600.d+0)
      print*,'dtDay= ', dtDay

      print*,' smallest samplint interval is ',deltat/(24.*60.),' hours'
      print*,' smallest sampling interval is ',deltat/60.0,' minutes' 
      print*,' ddt=',ddt
      sample=(dayarray(npts)-dayarray(1))/dtDay
      print*,sample
      nsample=ifix(sample)+ 1
      print*,' number of samples', nsample
      do 20 i=1,2*nsample
20    dout(i)=fmiss
      do 25 i=1,npts
        dt1=(dayarray(i)-day0)/dtDay
        j=int(dt1+0.1)
c        print*,i,dayarray(i),dt1,j+1
        dout(j+1)=d(i)
        if ((j+1) .gt. max) then
          print*,' number samples', j+1,' exceeds dimension', max
           print*,' bailing'
           stop
        end if 
25    continue
      if (forcode .eq. "bot" ) then
        do 30 i=1,nsample
          write(2,*)dout(i)
30       continue
      end if
      if (forcode .eq. "wr" ) then
        do 40 i=1,nsample
          iday=int(day0+(i-1)*(dtDay +0.00))
          call invcal(iday,iyr,imon,idm)

          frac= day0+(i-1)*dtDay-float(iday)

          rr=frac
          ihr=int(24.0*frac+0.001)
c          frac=frac-24.0*ihr

          frac=24.0*frac-float(ihr)

          imn=int(frac*60.0+0.001)

          frac=60.0*frac-float(imin)

          isec=int(60.0*(frac-float(imn)) +.1)
c          print*,rr,ihr, imn,frac,isec
c          write(2,*)day0+(i-1)*ddt,imon,idm,iyr,ihr,imn, dout(i)
          write(2,103)imon,idm,iyr,ihr,imn,isec,dout(i)
c     &   ,day0+(i-1)*(dtDay)
c,frac*60.0+0.01
103       format(2i3,i5,3i3,f18.6)
40       continue
      end if
      close(1)
      close(2)

      stop
      end
